---
updatedAt: 2026-05-20T16:41:48.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Compile an Unsigned Transaction

Takes an unsigned transaction and a signature and returns a signed transaction.

<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `5` (fixed)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Enter the parameters available below.
> 3. Click **Try It!**.

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
  	width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px; /* Approx height for 5 rows */
    overflow-y: scroll; /* Always show scrollbar */
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  /* Tooltip styles */
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  /* Only two colors: white and light gray */
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff; /* white */
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5; /* light gray */
  }

  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34; /* dark gray */
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66; /* lighter gray */
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
<thead>
  <tr>
    <th>Protocol</th>
    <th>Network</th>
    <th>Path Parameter</th>
  </tr>
</thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche-mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche-testnet-c</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin-testnet4</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Cosmos</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">cosmos-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum-sepolia</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum-hoodi</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin-testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Near</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">near-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">near-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="4">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot-westend</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Mainnet</td>
    <td><code class="copyable-code">polkadot-assethub-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Assethub Westend</td>
    <td><code class="copyable-code">polkadot-assethub-westend</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Amoy</td>
    <td><code class="copyable-code">polygon-amoy</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">solana-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Devnet</td>
    <td><code class="copyable-code">solana-devnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Stellar</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">stellar-mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">stellar-testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Tron</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">tron-mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Nile</td>
    <td><code class="copyable-code">tron-nile</code></td>
  </tr>
</tbody>

    </table>
  </div>
</div>
</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Transaction API",
    "version": "1.0.0",
    "description": "Blockdaemon transaction API to create, compile, send and verify transactions for supported blockchains.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/tx/v1",
      "description": "Blockdaemon transaction API"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{blockchain_id}/compile": {
      "parameters": [
        {
          "$ref": "#/components/parameters/blockchain_id"
        }
      ],
      "post": {
        "summary": "Compile an Unsigned Transaction",
        "description": "Takes an unsigned transaction and a signature and returns a signed transaction.",
        "operationId": "TxCompile",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ApiTxCompileRequest"
              },
              "examples": {
                "evm": {
                  "summary": "EVM example",
                  "value": {
                    "unsigned_tx": "e909843b9aca008252089481b7e08f65bdf5648606c89998a9cc81643976478601d1a94a200080808080",
                    "address": "b9aca008252089481b7e08f65bdf5648606c8",
                    "signature": "",
                    "public_key": ""
                  }
                },
                "btc_single_signature": {
                  "summary": "Bitcoin P2PKH example with a single signature for a single UTxO",
                  "value": {
                    "unsigned_tx": "010000000131da247ea6672d26661559a06d677cf1756feebc2b8fb299a36125b68047d2050000000000ffffffff0210270000000000001976a91417e036c0c8b9e59c99cf1e2d6b7d0a4864a336f988ac729a0000000000001976a914b3d049ba9f8947c29b491cb14ddea70241ba353e88ac00000000",
                    "signatures": [
                      {
                        "signature": "3045022100e4db442039a65eb2a0043647a5f88c5211dd3dcc39d4eba379301c87940587190220764dd4609b7efac2be539bdca148072ad172f53314ff68e9f8801f4b1ea754b0",
                        "address": "mwuimViRhJ5nMJDFiS3ZTQ73hmBH1NUjZA",
                        "public_key": "0x027513c263c79dc1acde054bbb754616b67612924b98893efa73708f73441bccdb"
                      }
                    ]
                  }
                },
                "btc_multiple_signatures": {
                  "summary": "Bitcoin P2WPKH example with multiple signatures for each UTxO",
                  "value": {
                    "unsigned_tx": "01000000039c9aa424d4db36156a86245dccf4fe0be6feb5c51372d116358e8b5c0a47fd480200000000ffffffffc74f6e194d162b3b80e7e66f8eab7b31ea870d58a0eecaaafb4e29464d77f69c0900000000ffffffffad95de94df324097b0820d24caaeb82aa52ddcd5a07aff62161c33b23cc28bf20800000000ffffffff016c020000000000001600148dd7608be98d6bd93368f24d45b1165b74cb913700000000",
                    "signatures": [
                      {
                        "signature": "30440220428fc6fd5cff7b5023699f1e32694c8cab3f8de2dc841d886f9235b2658c0ef4022059e344ea9d5a2434c416ad2164e445aa44d87daaba507bc8f8fde198ab9a5b57",
                        "address": "tb1q3htkpzlf344ajvmg7fx5tvgktd6vhyfhlq9urn",
                        "public_key": "025dafb4159e25323eb2c7c684bec7de6bb5a3d17b1adc66a0025563e4081adf3f"
                      },
                      {
                        "signature": "304402207ed5e14b8fff54138b1f1e7e3d19c7f7d670c783b5aa157edca7d433eb55e4e5022067ebd3f41b788ecb109d0fb053ae895dfa172ee0556c94bdc1ab798d59753714",
                        "address": "tb1q3htkpzlf344ajvmg7fx5tvgktd6vhyfhlq9urn",
                        "public_key": "025dafb4159e25323eb2c7c684bec7de6bb5a3d17b1adc66a0025563e4081adf3f"
                      },
                      {
                        "signature": "3045022100a3a2082e864caf7b3645d942a96c68da7aed2bccffbdddf5d11456440f3c960a022073ee6723e6ff1a99f78ced51a04669947f4799fdb55900ddfa4747b9eb5ec4be",
                        "address": "tb1q3htkpzlf344ajvmg7fx5tvgktd6vhyfhlq9urn",
                        "public_key": "025dafb4159e25323eb2c7c684bec7de6bb5a3d17b1adc66a0025563e4081adf3f"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiTxSigned"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/ErrorUnauthorized"
          },
          "429": {
            "$ref": "#/components/responses/ErrorTooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ErrorInternal"
          },
          "501": {
            "$ref": "#/components/responses/ErrorNotImplemented"
          },
          "503": {
            "$ref": "#/components/responses/ErrorServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "parameters": {
      "blockchain_id": {
        "name": "blockchain_id",
        "in": "path",
        "required": true,
        "description": "Either a hyphen seperated protocol-network pair like `ethereum-mainnet` or the `chain-id`",
        "schema": {
          "type": "string",
          "default": "ethereum-mainnet"
        }
      }
    },
    "responses": {
      "ErrorTooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "ErrorUnauthorized": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ErrorInternal": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ErrorServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      },
      "ErrorNotImplemented": {
        "description": "The request endpoint is not implemented",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-implemented",
              "title": "Not implemented",
              "status": 501
            }
          }
        }
      }
    },
    "schemas": {
      "StellarSignature": {
        "type": "object",
        "properties": {
          "signature": {
            "type": "string",
            "description": "A hex encoded string of the cryptographic signature.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "public_key": {
            "type": "string",
            "description": "A hex encoded string which is the public key for the address.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "signature",
          "public_key"
        ]
      },
      "SolanaSignature": {
        "type": "object",
        "properties": {
          "signature": {
            "type": "string",
            "description": "A base58 encoded string of the cryptographic signature.",
            "example": "2A3yw9TAUm55Ka7EnJDM6vZPrtsjmek9bMhGBdiUGgW8aQugNp5CdyLqMNbahbJXMnQ9h2SMFHhbk2R39RSzsSef",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "signature"
        ]
      },
      "signature": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "The hex address.",
            "example": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signature": {
            "type": "string",
            "description": "A hex encoded string of the cryptographic signature. ECDSA secp256k1 signatures are expected to be ASN1 encoded.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "public_key": {
            "type": "string",
            "description": "A hex encoded string which is the public key for the address.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "address",
          "signature",
          "public_key"
        ]
      },
      "ApiTxCompileRequest": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestEVM"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestStellar"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestSubstrate"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestBTC"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestTron"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestSolana"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestNear"
          },
          {
            "$ref": "#/components/schemas/ApiTxCompileRequestCosmos"
          }
        ]
      },
      "ApiTxCompileRequestEVM": {
        "title": "Api Tx Compile Request EVM",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The unsigned transaction. This transaction is hex RLP encoded and should be encoded wihout the R, S and V values (this is diffrent from what the /create endpoint returns)",
            "example": "02ed82426880840c1a97ac847e881fdc82520894057cbbc4d1568530991088108ee48fd8b949167f843b9aca0080c0",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "address": {
            "type": "string",
            "description": "The hex address.",
            "example": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca"
          },
          "signature": {
            "type": "string",
            "description": "A hex encoded string of the cryptographic signature. This should include the R and S values of the signature in ASN1 encoding.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "public_key": {
            "type": "string",
            "description": "A hex encoded string of the sender's public key in the 32 byte compressed format.",
            "example": "0x..",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "unsigned_tx",
          "signature",
          "public_key"
        ]
      },
      "ApiTxCompileRequestBTC": {
        "title": "Api Tx Compile Request BTC",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The transaction data needed to sign.",
            "example": "02f86f0180834c4b40852096a4848082cde49495ad61b0a150d79219dcf64e1e6cc01f0b64c4ce80b844a9059cbb000000000000000000000000e6026f60efc3d0e714f1b89c596aa484ffbd25c800000000000000000000000000000000000000000303b6ae12d00504a8ed8000c0808080",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signatures": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/signature"
            },
            "x-oapi-codegen-extra-tags": {
              "validate": "required,dive"
            },
            "example": [
              {
                "address": "0x31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca",
                "signature": "0x..",
                "public_key": "0x.."
              }
            ]
          }
        },
        "required": [
          "unsigned_tx",
          "signatures"
        ]
      },
      "ApiTxCompileRequestStellar": {
        "title": "Api Tx Compile Request Stellar",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The base64 encoded transaction",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signatures": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/StellarSignature"
            },
            "x-oapi-codegen-extra-tags": {
              "validate": "required,dive"
            }
          },
          "replace_signatures": {
            "type": "boolean",
            "x-go-type-skip-optional-pointer": true
          }
        },
        "required": [
          "unsigned_tx",
          "signatures"
        ]
      },
      "ApiTxCompileRequestSubstrate": {
        "title": "Api Tx Compile Request Substrate",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The hex encoded unsigned extrinsic",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signature": {
            "type": "string",
            "description": "A hex encoded string of the cryptographic signature.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "public_key": {
            "type": "string",
            "description": "The hex encoded public key",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signature_scheme": {
            "type": "string",
            "enum": [
              "ed25519",
              "sr25519"
            ],
            "default": "ed25519"
          }
        },
        "required": [
          "unsigned_tx",
          "signature",
          "public_key",
          "signature_scheme"
        ]
      },
      "ApiTxCompileRequestTron": {
        "title": "Api Tx Compile Request Tron",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The protobuf hex encoded tron transaction",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signature": {
            "type": "string",
            "description": "A hex encoded string of the cryptographic signature.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "public_key": {
            "type": "string",
            "description": "The hex encoded public key of the signer",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "unsigned_tx",
          "signature",
          "public_key"
        ]
      },
      "ApiTxCompileRequestSolana": {
        "title": "Api Tx Compile Request Solana",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The transaction data needed to sign.",
            "example": "AAEAAwYqxtWdFTb3/xrAW77tXSxoksrUwfWFAj5zub2JojTbnAnmeRNLj9i/bnMMVMh6QF5AP37ejGou8zrK1/IjTymqfYQGW/wgxXxux6CxGpqQkEbj0ZY3LYwYJuNSvOf8i/0Gp9UXGSxWjuCKhF9z0peIzwNcMUWyGrNE2AYuqUAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAwZGb+UhFzL/7K26csOb57yM5bvF9xJrLEObOkAAAACSA/HmJql7hyAMci43hBLdOCK44yJ2YmFxfit5l1C6ngMEAwEDAAQEAAAABAIAAgwCAAAAAOH1BQAAAAAFAAkDiBMAAAAAAAA=",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signatures": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SolanaSignature"
            },
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            },
            "example": [
              {
                "signature": "4STXcD6nnpdPqM2AsJgxr4Wfbz4ihS7xQ5eCiQw2FUMTG7vqdr4TqomTrWsos4ZAjZbAr4vceEccUKTVWCn3jSs"
              }
            ]
          }
        },
        "required": [
          "unsigned_tx",
          "signatures"
        ]
      },
      "ApiTxCompileRequestNear": {
        "title": "Api Tx Compile Request Near",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The unsigned transaction in base64 encoding.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signature": {
            "type": "string",
            "description": "The signature hex encoded",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "unsigned_tx",
          "signature"
        ]
      },
      "CosmosSignature": {
        "type": "object",
        "properties": {
          "sequence": {
            "type": "integer",
            "x-go-type": "uint64",
            "x-go-type-skip-optional-pointer": true
          },
          "signature": {
            "type": "string",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "sign_mode": {
            "x-go-type": "int32",
            "type": "string",
            "x-go-type-skip-optional-pointer": true
          },
          "public_key": {
            "type": "string"
          }
        },
        "required": [
          "sequence",
          "sign_mode",
          "signature",
          "public_key"
        ]
      },
      "ApiTxCompileRequestCosmos": {
        "title": "Api Tx Compile Request Cosmos",
        "type": "object",
        "properties": {
          "unsigned_tx": {
            "type": "string",
            "description": "The transaction data needed to sign.",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          },
          "signatures": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CosmosSignature"
            },
            "x-oapi-codegen-extra-tags": {
              "validate": "required,dive"
            }
          }
        },
        "required": [
          "unsigned_tx",
          "signatures"
        ]
      },
      "ApiTxSigned": {
        "type": "object",
        "properties": {
          "tx": {
            "type": "string",
            "description": "The signed TX.",
            "example": "0100000001ca19af5fb94ced7e62b623d0039a398a42e60050405a1341efe475894629c131010000008b483045022100d77b002b3142013b3f825a730f5bc3ead2014266f07ba4449269af0cf6f086310220365bca1d616ba86fac42ad69efd5f92c5ed6cf16f27ebf5ab55010efc72c219d014104417eb0abe69db2eca63c84eb44266c29c24973dc81cde16ca86c9d923630cb5f797bae7d7fab13498e06146111356eb271da74add05ebda8f72ff2b2878fddb7ffffffff0410270000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac204e0000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac30750000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac48710000000000001976a914d6fa8814924b480fa7ff903b5ef61100ab4d92fe88ac00000000",
            "x-oapi-codegen-extra-tags": {
              "validate": "required"
            }
          }
        },
        "required": [
          "tx"
        ]
      },
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      }
    }
  }
}
```